[Japanese]

JVNDB-2014-000060

Webmin vulnerable to cross-site scripting

Overview

Webmin is a web-based system management tool. Webmin contains a cross-site scripting vulnerability when "referrer checking" is turned off.

Note that "referrer checking" is enabled by default.

hasegawa reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 2.6 (Low) [IPA Score]
  • Access Vector: Network
  • Access Complexity: High
  • Authentication: None
  • Confidentiality Impact: None
  • Integrity Impact: Partial
  • Availability Impact: None

Affected Products


Webmin Project
  • Webmin versions prior to 1.690

Impact

An arbitrary script may be executed on a user's web browser who is logged into Webmin.
Solution

[Update the software]
Update to the latest version according to the information provided by the developer.
Vendor Information

Webmin Project
CWE (What is CWE?)

  1. Cross-site Scripting(CWE-79) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2014-3886
References

  1. JVN : JVN#02213197
  2. National Vulnerability Database (NVD) : CVE-2014-3886
Revision History

[2014/06/20]
  Web page was published
[2014/07/23]
  References : Content was added